[package]
name = "hedz_reloaded"
version = "0.1.0"
edition = "2024"
build = "build.rs"

[features]
default = ["shared/client"]
dbg = ["avian3d/debug-plugin", "dep:bevy-inspector-egui", "shared/dbg"]

[dependencies]
avian3d = { workspace = true }
bevy = { workspace = true, default-features = false, features = [
    "bevy_audio",
    "bevy_window",
    "bevy_winit",
] }
bevy-inspector-egui = { workspace = true, optional = true }
bevy-steamworks = { workspace = true }
bevy-ui-gradients = { workspace = true }
bevy_asset_loader = { workspace = true }
bevy_ballistic = { workspace = true }
bevy_common_assets = { workspace = true }
bevy_debug_log = { workspace = true }
bevy_sprite3d = { workspace = true }
bevy_trenchbroom = { workspace = true, features = ["client"] }
happy_feet = { workspace = true }
lightyear = { workspace = true }
nil = { workspace = true }
rand = { workspace = true }
ron = { workspace = true }
serde = { workspace = true }
shared = { workspace = true }
steamworks = { workspace = true }

[build-dependencies]
vergen-gitcl = "1.0"
